black screen after a few user switches

Bug #546578 reported by Guillaume Giroux on 2010-03-25
518
This bug affects 101 people
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati
Fix Released
High
gnome-screensaver (Ubuntu)
Medium
Unassigned
Lucid
High
Chris Coulson
xorg-server (Ubuntu)
High
Unassigned
Lucid
High
Unassigned

Bug Description

Up-to-date Lucid with radeon driver. After switching user a few times (usually between 3 and 5 times), the screen goes black with only the mouse cursor visible after entering the user's password. VTs are also completely black. Restarting gdm fixes the issue, and nothing odd appears in XOrg.0.log when the black screen occurs. It also happens with KMS disabled. It also happens with compiz disabled for all users.

WORKAROUND: Uninstall gnome-screensaver (see bug #555870 - something gnome-screensaver does is triggering this X bug).
WORKAROUND: Blindfold: Unlock session by typing password, then press <Alt>-<F2> (call "Run ..." dialog), then type "xgamma -gamma 1.0" and hit <Enter>
WORKAROUND: Update gnome-screensaver to 2.30.0-0ubuntu2 or higher (yet in proposed repo). Those versions are compiled with disabled "fade on lock".

ProblemType: Bug
Architecture: i386
Date: Wed Mar 24 21:43:21 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Hewlett-Packard HP dx5150 MT(PV753AA)
Package: xorg 1:7.5+3ubuntu1
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=2f620498-4095-49f2-8ea6-7355f3d696ec ro
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
SourcePackage: xorg
Uname: Linux 2.6.32-17-generic i686
dmi.bios.date: 03/08/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 1.19
dmi.board.name: 09AC
dmi.board.vendor: MSI
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.19:bd03/08/2007:svnHewlett-Packard:pnHPdx5150MT(PV753AA):pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr:
dmi.product.name: HP dx5150 MT(PV753AA)
dmi.sys.vendor: Hewlett-Packard
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-17-generic

[lspci]
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS480 [Radeon Xpress 200G Series] [1002:5954]
     Subsystem: Hewlett-Packard Company Device [103c:3009]

tags: added: black-screen
summary: - [RS400] black screen after a few user switches
+ [RS480] black screen after a few user switches
description: updated
description: updated

I have experienced the same thing on a fully updated Lucid with an ATI Radeon Xpress 200m video card. I can switch from the primary user to a secondary user just fine, however, attempting to return leaves me with a black screen and only a mouse.

brassman5 (chiporo) wrote :

Test and had the same issue on my desktop machine as well. Also an ATI video adapter. A Radeon 9600.

Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

radeontool can be used to assist in debugging issues where the screen blanks like this. After installing it, you run it like this:

    radeontool regmatch '*' > regdump_good.txt

    radeontool regmatch '*' > regdump_broke.txt

Run it two times. Once when you have a good, working screen (for any driver including -vesa), and once in the broken case (either from the tty console or logged into the sick box remotely).

Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Incomplete
brassman5 (chiporo) wrote :

Bryce,

On running radeontool, the only output generated is "mapping ctrl region". This is on both machines whether the screen is blank or not. I would be happy to provide any other information that could be helpful.

Bryce Harrington (bryce) wrote :

Did you run the commands exactly as shown? Look to see if it generated the regdump_*.txt files. Attach them if so.

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
status: New → Incomplete
brassman5 (chiporo) wrote :

The commands were entered exactly as shown and generated only "mapping ctrl region" to the screen, and created empty regdump_*.txt files.

Bryce Harrington (bryce) wrote :

Did you run the commands as sudo?

Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Changed in xserver-xorg-video-ati (Ubuntu):
status: Incomplete → New
brassman5 (chiporo) wrote :
brassman5 (chiporo) wrote :
Bryce Harrington (bryce) on 2010-03-30
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2010-03-30
Changed in xserver-xorg-video-ati (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High

Forwarding this bug from Ubuntu reporter Guillaume Giroux:
http://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/546578

[Problem]
Screen goes black after switching from primary to secondary user and back several times. Occurs regardless of whether KMS or compiz are enabled or disabled.

[Original Description]
Up-to-date Lucid with radeon driver. After switching user a few times (usually between 3 and 5 times), the screen goes black with only the mouse cursor visible after entering the user's password. VTs are also completely black. Restarting gdm fixes the issue, and nothing odd appears in XOrg.0.log when the black screen occurs.

- It also happens with KMS disabled.
- It also happens with compiz disabled for all users.

Another user adds that they see the same issue on an Xpress 200m, and finds the black screen always happens on the return to the primary user, never in the primary->secondary user case.

Architecture: i386
Date: Wed Mar 24 21:43:21 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Lsusb:
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Hewlett-Packard HP dx5150 MT(PV753AA)
Package: xorg 1:7.5+3ubuntu1
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=2f620498-4095-49f2-8ea6-7355f3d696ec ro
ProcEnviron:
 LANG=en_US.utf8
 ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
SourcePackage: xorg
Uname: Linux 2.6.32-17-generic i686
dmi.bios.date: 03/08/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 1.19
dmi.board.name: 09AC
dmi.board.vendor: MSI
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.19:bd03/08/2007:svnHewlett-Packard:pnHPdx5150MT(PV753AA):pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr:
dmi.product.name: HP dx5150 MT(PV753AA)
dmi.sys.vendor: Hewlett-Packard
system:
  codename: lucid
 architecture: i686
 kernel: 2.6.32-17-generic

00:00.0 Host bridge [0600]: ATI Technologies Inc RS480 Host Bridge [1002:5950] (rev 01)
 Subsystem: Hewlett-Packard Company Device [103c:3009]
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS480 [Radeon Xpress 200G Series] [1002:5954]
 Subsystem: Hewlett-Packard Company Device [103c:3009]

Created an attachment (id=34561)
XorgLogOld.txt

Created an attachment (id=34562)
XorgLog.txt

Created an attachment (id=34563)
CurrentDmesg.txt

Created an attachment (id=34564)
BootDmesg.txt

Created an attachment (id=34565)
regdump_good.txt

Created an attachment (id=34566)
regdump_bad.txt

Created an attachment (id=34567)
regdump.diff

Guillaume - I've forwarded this bug upstream to https://bugs.freedesktop.org/show_bug.cgi?id=27382 - please subscribe yourself to this bug, in case they need further information or wish you to test something. Thanks ahead of time!

Changed in xserver-xorg-driver-ati:
status: Unknown → Confirmed

Bryce - thanks for reporting upstream, I'm now subscribed to said bug. Please let me know if there's anything else I can do to help diagnose - willing to install ppa stuff or play around with gdb on X|gdm if needed.

This might be related to other reports about the CLUT not getting properly restored after VT switching away from the X server while the screensaver is doing its fade-out effect. Does something like

xgamma -gamma 1.0

restore the proper display?

(In reply to comment #10)
> Does something like
>
> xgamma -gamma 1.0
>
> restore the proper display?

Yes it does.

(In reply to comment #10)
> This might be related to other reports about the CLUT not getting properly
> restored after VT switching away from the X server while the screensaver is
> doing its fade-out effect. Does something like
>
> xgamma -gamma 1.0
>
> restore the proper display?
>

The binary fglrx driver is also affected by this bug. And also here xgamma -gamma 1.0 saves the day. So does this mean that the problem lies with the X server? And is there anyway distro's can workaround this bug till it's get fixed?

(In reply to comment #12)
> The binary fglrx driver is also affected by this bug. And also here xgamma
> -gamma 1.0 saves the day. So does this mean that the problem lies with the X
> server?

Yes, there have also been reports with the intel driver. Reassigning, this should probably also block the xserver 1.8 blocker bug, if there was one...

workaround from upstream bug: running "xgamma -gamma 1.0" fixes the display.

so to ease the pain, go to System->Preferences->Keyboard shortcuts, and add a custom entry that executes this command for each user. Ctrl+Alt+Backspace is a good one for the nostalgic.

Chris Coulson (chrisccoulson) wrote :

The symptoms here look like bug 555870. Would people experiencing this please test the updated gnome-screensaver package here: http://people.canonical.com/~chrisccoulson/lp555870/

Note that you will need to restart after installing this package

Thanks

That appears to have resolved the issue for me in my initial testing.
I will continue to monitor and replay with any changes to that
assesment.

Thanks,

Deven

On Tue, Apr 6, 2010 at 7:15 AM, Chris Coulson
<email address hidden> wrote:
> The symptoms here look like bug 555870. Would people experiencing this
> please test the updated gnome-screensaver package here:
> http://people.canonical.com/~chrisccoulson/lp555870/
>
> Note that you will need to restart after installing this package
>
> Thanks
>
> --
> [RS480] black screen after a few user switches
> https://bugs.launchpad.net/bugs/546578
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Deven - ok, thanks. That sounds promising anyway, so I will get gnome-screensaver uploaded this afternoon

Problem is not resolved. The problem came back after playing music inside of
one of the sessions.

Deven

On Apr 6, 2010 8:46 AM, "Chris Coulson" <email address hidden> wrote:

Deven - ok, thanks. That sounds promising anyway, so I will get gnome-
screensaver uploaded this afternoon

--

[RS480] black screen after a few user switches
https://bugs.launchpad.net/bugs/546578
You received t...

Bryce Harrington (bryce) on 2010-04-06
description: updated

@Chris Coulson: your gnome-screensaver package didn't resolve the issue for me either.

Bryce Harrington (bryce) wrote :

Upstream suggests this kernel patch may help the RS480 for when KMS is active:
http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=patch;h=d805f50aa1d9eef63fec356b2be557e2da3cd643

Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium
milestone: none → ubuntu-10.04
Bryce Harrington (bryce) wrote :

Upstream reports workaround: xgamma -gamma 1.0

Waiting on patch or way to force the above to occur automatically, but seems this is a bug in xserver, so reassigning there for now.

I've added a release nomination since this feels to me like a type of bug which could be acceptable for an SRU. However we need to get an upstream-approved patch first.

affects: xserver-xorg-video-ati (Ubuntu Lucid) → xorg-server (Ubuntu Lucid)

A workaround we could apply at the distro level would be very helpful.

Steve Langasek (vorlon) on 2010-04-16
Changed in linux (Ubuntu Lucid):
milestone: ubuntu-10.04 → lucid-updates

This isn't RS480 specific is it? Someone reported on an 9600 and it happens on my 4770 also.

And on my Radeon HD 3200

Deven

2010/4/16 Ernst Sjöstrand <email address hidden>:
> This isn't RS480 specific is it? Someone reported on an 9600 and it
> happens on my 4770 also.
>
> --
> [RS480] black screen after a few user switches
> https://bugs.launchpad.net/bugs/546578
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Justin Forest (umonkey) wrote :

I have this problem with Intel 82G33/G31 (xgamma helps), so I'm not
sure this is related to ATI.

tags: added: needs-upstream-testing
tags: added: kj-triage
Bryce Harrington (bryce) on 2010-04-29
description: updated
David Tombs (dgtombs) on 2010-05-15
summary: - [RS480] black screen after a few user switches
+ black screen after a few user switches
Changed in gnome-screensaver (Ubuntu Lucid):
assignee: nobody → Chris Coulson (chrisccoulson)
importance: Undecided → High
status: New → In Progress
Changed in gnome-screensaver (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in gnome-screensaver (Ubuntu Lucid):
status: In Progress → Triaged
Colin Watson (cjwatson) on 2010-05-19
Changed in gnome-screensaver (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) on 2010-05-19
tags: added: verification-done
removed: verification-needed
50 comments hidden view all 130 comments
emigrant (fromwindowstolinux) wrote :

Hi Wolfgang Kufner,
I appreciate very much you replying to me.

this is what i get to your code:
(at the moment i again removed gnome-screensaver bcz it didnt help)

gnome-screensaver:
  Installed: (none)
  Candidate: 2.30.0-0ubuntu1
  Version table:
     2.30.0-0ubuntu2 0
        400 http://archive.ubuntu.com/ubuntu/ lucid-proposed/main Packages
        100 /var/lib/dpkg/status
     2.30.0-0ubuntu1 0
        500 http://lk.archive.ubuntu.com/ubuntu/ lucid/main Packages

emigrant (fromwindowstolinux) wrote :

@ Wolfgang Kufner,
finally i correctly got installed it (rebooted).
gnome-screensaver:
  Installed: 2.30.0-0ubuntu2
  Candidate: 2.30.0-0ubuntu2

but the problem refuses to fade out.

PS: sorry for the above double post.

Erik Meitner (e.meitner) wrote :

@emigrant: First, try to avoid using bug reports as support forums. Second, you need to make sure you are actually affected by the bug. When your screen turns black, can you switch back to a session with CTRL-ALT-F7 , CTRL-ALT-F8, CTRL-ALT-F9, etc? If so, then you are affected by bug 40011. If not, then re-read this bug and all the duplicates to help verify that you are actually having the exact same problem.

Ok, the gnome-screensaver package in proposed solved the problem for me.
Excellent work, thank you!

Ivan Frederiks (idfred) wrote :

The gnome-screensaver package in proposed solved the problem for me.
Thank you!

Michael Reiger (mighyflea) wrote :

Seems to have solved the problem for me too. No more black screen after user switching.

It was actually necessary to reboot after installing the package from -proposed, btw.

Ivan Frederiks (idfred) wrote :

A really positive thing: after removing "fade on lock", locked desktop content does not become visible (it was just a blink, but it was anoying) during user-switch process.

jeffbl (jeff-mulb) wrote :

I considered that screen flash a security issue - the "flash" lasted several seconds if my machine was bogged down, and let anyone see what was going on for any logged in user, which should *never* be possible. Glad that is fixed as a side-effect of this, and hope it doesn't return later.

Ivan Frederiks (idfred) wrote :

@jeffbl, all
Oops, I hurried... After some swithes, locked desktop "flash" appeared again. But it's subject for a separate bug. Who knows, where should it be reported? Or it already has an open discussion?

Ivan Frederiks (idfred) on 2010-05-23
description: updated
NoOp (glgxg) wrote :

I am exeriencing the same issue - with the exception that both the keyboard and mouse go dead as well. If there is another bug report the more closely matches my symptions, please advise.

Steps to reproduce:
1. While logged in as user A, System|Log Out <username>|Switch User
2. Login to user B, ensure all is working properly and logout from user B.
- screen goes black
- keyboard no longer works
- mouse no longer works

100% reproduceable.

However, I can:
1. ssh -X into the machine w/o issue. I can bring up gui's from the affected machine (i.e., gnome-system-log, vino-preferences, etc).
2. remote login to the machine via VNC and get a screen; however I then get multiple tserver instances & have to kill it.
3. reboot the machine from the remote ssh.

Attempted to use 'apport-collect 546578' to supply additional info, but response was that I wasn't a subscriber to this bug (I am) and the report was a duplicate (it isn't). So I'll manually add the bits that may be relevant:

2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux

$ apt-cache policy gnome-screensaver
gnome-screensaver:
  Installed: 2.30.0-0ubuntu2
  Candidate: 2.30.0-0ubuntu2
  Version table:
 *** 2.30.0-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-proposed/main Packages
        100 /var/lib/dpkg/status
     2.30.0-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages
$ apt-cache policy xorg
xorg:
  Installed: 1:7.5+5ubuntu1
  Candidate: 1:7.5+5ubuntu1
  Version table:
 *** 1:7.5+5ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
$ apt-cache policy xserver-xorg-core
xserver-xorg-core:
  Installed: 2:1.7.6-2ubuntu7
  Candidate: 2:1.7.6-2ubuntu7
  Version table:
 *** 2:1.7.6-2ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
$ apt-cache policy nvidia-96
nvidia-96:
  Installed: 96.43.17-0ubuntu1
  Candidate: 96.43.17-0ubuntu1
  Version table:
 *** 96.43.17-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Packages
        100 /var/lib/dpkg/status

*-display
                description: VGA compatible controller
                product: NV25GL [Quadro4 900 XGL]
                vendor: nVidia Corporation

Note that there is no ATI in this machine. Given that I can reproduce & can get into the machine to gather information, please let me know if I can provide any added logs etc.

Erik Meitner (e.meitner) wrote :

NoOP: Reproduce the problem, ssh to the machine(without -X option), find the X display number with "ck-list-sessions" , do "export DISPLAY=:z" where "z" is the display number, then run "xgamma -gamma 1.0". Does this resolve the problem? If not, then you are experiencing another bug.

Erik Meitner wrote:
> NoOP: Reproduce the problem, ssh to the machine(without -X option), find
> the X display number with "ck-list-sessions" , do "export DISPLAY=:z"
> where "z" is the display number, then run "xgamma -gamma 1.0". Does this
> resolve the problem? If not, then you are experiencing another bug.
>

I guess it's another bug:

$ ck-list-sessions
Session1:
 unix-user = '1001'
 realname = 'gg'
 seat = 'Seat1'
 session-type = ''
 active = TRUE
 x11-display = ':0'
 x11-display-device = '/dev/tty7'
 display-device = ''
 remote-host-name = ''
 is-local = TRUE
 on-since = '2010-05-24T18:10:36.520276Z'
 login-session-id = ''
 idle-since-hint = '2010-05-24T19:20:52.676562Z'
Session5:
 unix-user = '1001'
 realname = 'gg'
 seat = 'Seat2'
 session-type = ''
 active = FALSE
 x11-display = ''
 x11-display-device = ''
 display-device = '/dev/ssh'
 remote-host-name = 'gg-laptop'
 is-local = FALSE
 on-since = '2010-05-24T19:21:59.087478Z'
 login-session-id = ''
$ export DISPLAY=:0
$ xgamma -gamma 1.0
And the terminal hung after the last cmd Ctrl-C gets it back. Keyboard,
mouse are still dead on target/problem machine, screen black. I just
NX'ed in the problem machine & that is working fine. Anything else you'd
like me to check while it's in this state?

Toni Förster (stonerl) wrote :

I can confirm NoOPs experience. This just happens out of the blue, e.g while writing an e-mail the screen turns black and mouse and keyboard are dead (USB turned off?).

Chris Coulson (chrisccoulson) wrote :

That doesn't sound in any way related to this bug at all. Please report a different bug

NoOp (glgxg) wrote :

 Possibly https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/561538 instead? I'll join that bug report. Thanks.

crash (crash369) on 2010-05-25
Changed in gnome-screensaver (Ubuntu Lucid):
status: Fix Committed → Fix Released
Chris Coulson (chrisccoulson) wrote :

crash, please don't change the status of the bug without leaving any comment

Changed in gnome-screensaver (Ubuntu Lucid):
status: Fix Released → Fix Committed
crash (crash369) wrote :

My apologies. I changed it by accident and tried to change it back, without success apparently.

Jeremy Yoder (jyoder) wrote :

Finally got a chance to test this last night and it works like a charm on my 2 systems. Thanks!

nigra (nigra) wrote :

I installed _only_ the gnome-screensaver 2.30.0-0ubuntu2 from proposed-repo and the problem persists.
Should I install all the packages from that repo? The only difference I've found is this...

>Should I install all the packages from that repo?
Not necessary . The package gnome-screensaver is supposed to fix this by itself. If you still have a problem chances are you have a different bug. You should file a separate bug report with a detailed description of your problem.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-screensaver - 2.30.0-0ubuntu2

---------------
gnome-screensaver (2.30.0-0ubuntu2) lucid-proposed; urgency=low

  * debian/patches/15_dont_crash_on_no_fade.patch:
    - Don't crash on systems that don't support XF86VM or XRANDR gamma fade,
      by testing if fade is supported on a particular screen before
      calling the fade_setup and fade_finish virtual functions (LP: #558721)
  * debian/patches/16_dont_crash_in_kvm.patch:
    - Don't crash when the XF86VM extension doesn't allow the gamma
      to be set (LP: #581864)
  * debian/patches/14_no_fade_on_user_switch.patch:
    - Disable fade on locking to work around LP: #546578 and prevent
      the screen remaining blank after user switching. The screensaver
      will still fade-in on idle though
 -- Chris Coulson <email address hidden> Wed, 19 May 2010 11:51:40 +0100

Changed in gnome-screensaver (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied gnome-screensaver to maverick, too.

Changed in gnome-screensaver (Ubuntu):
status: Triaged → Fix Released

Bug was fixed for me with new screensaver.

But now the screensaver asks for password even if I uncheck the "Lock up desktop" option in Power Management.

Has anybody else experienced this?

Stefan Pappalardo (sjuk) wrote :

I updated gnome-screensaver but bug persists (black screen after user switch).

Description: Ubuntu 10.04 LTS
Release: 10.04

gnome-screensaver:
  Installiert: 2.30.0-0ubuntu2
  Kandidat: 2.30.0-0ubuntu2
  Versions-Tabelle:
 *** 2.30.0-0ubuntu2 0
        500 http://de.archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
        100 /var/lib/dpkg/status
     2.30.0-0ubuntu1 0
        500 http://de.archive.ubuntu.com/ubuntu/ lucid/main Packages

xorg:
  Installiert: 1:7.5+5ubuntu1
  Kandidat: 1:7.5+5ubuntu1
  Versions-Tabelle:
 *** 1:7.5+5ubuntu1 0
        500 http://de.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

nvidia-173:
  Installiert: 173.14.22-0ubuntu11
  Kandidat: 173.14.22-0ubuntu11
  Versions-Tabelle:
 *** 173.14.22-0ubuntu11 0
        500 http://de.archive.ubuntu.com/ubuntu/ lucid/restricted Packages
        100 /var/lib/dpkg/status

  *-display
       description: VGA compatible controller
       product: NV34 [GeForce FX 5200]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 32 bits
       clock: 66MHz
       capabilities: pm agp agp-3.0 bus_master cap_list rom
       configuration: driver=nvidia latency=248 maxlatency=1 mingnt=5
       resources: irq:16 memory:fb000000-fbffffff memory:f0000000-f7ffffff(prefetchable) memory:faf00000-faf1ffff(prefetchable)

NoOp (glgxg) wrote :

@Stefan: given that you are running an nvidia card, your issue may be related to mine. I've filed a separate bug:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-96/+bug/585685
Have a look at that & see if perhaps it may be caused by your nvidia-173 driver. If so then it's something common between the -96 and -173 drivers.

Robert B (robertbub) wrote :

This is still a problem for me with gnome-screensaver 2.30.0-0ubuntu2. I have an Acer Aspire 5740-5513, which various websites say is an Intel GMA video card.

My workaround is to essentially disable gnomesaver by "sudo mv /usr/bin/gnome-screensaver /usr/bin/gnome-screensaver.bak".

I hope whatever new version of gnome-screensaver comes out fixes this problem.

David Tombs (dgtombs) wrote :

@Robert: If it's still broken for you (did you try rebooting?), then you have a different bug. Please file a new one with "ubuntu-bug gnome-screensaver".

Marcos Wasem (mwasem) wrote :

The same happened to me yesterday after a few switches between two accounts. I had this problem, and I had upgraded to gnome-screensaver 2.30.0-0ubuntu2 in a Dell Inspiron 530 a few days ago. Yesterday I had the black sreen.again.

I had a similar bug: switching to a new user display a black screen with only the mouse cursor.

I can switch to the text consoles (Ctrl-Alt-Fn) and to the first X session. But it looks like the second X is "mixed" with the first one. I can see the user selector a few milliseconds before the first X session is displayed if I switch to F8. And I have the black screen with mouse cursor on F9.

My Lucid 10.04.1 system is an upgrade from 8.04. It looks like the use switching applet is the source of the problem (in my case).
Removing ~/.gnome* and ~/.gconf* to reinitialization the gnome configuration solved the problem.

The old (and problematic) user switching applet was the one with the green running man. The new (and working) user switching applet has a power sign as icon.

Carey (carey) wrote :

Ludovic Rousseau, thanks for your comment but your report is not the same bug, as I can confirm this bug occurs with a fresh install of Ubuntu 10.04 (i.e. irrespective of any .gnome or .gconf configuration).

Samuel (altas) wrote :

I had similar bug, but i add that before the black screen showed the desktop all compress on full width and 1cm height.
And the last thing i did was to try to login on a user with no password, but the system ask me for the password and did not ascept a blank one , then try to switch to other user, then black screen.

Changed in xserver-xorg-driver-ati:
importance: Unknown → High
Connie (diacalc) wrote :

I had the same bug. After logging more than one user and logout one of them I got the black screen.

I've updated nvidia drivers to 173.14.27 and the bug has gone.

Adding repo with the latest drivers for nvidia cards

sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
sudo apt-get update
sudo apt-get upgrade

Now I can switch between users and logging out at any moment.

$ nvidia-settings -q NvidiaDriverVersion

  Attribute 'NvidiaDriverVersion' (connie-desktop:0.0): 173.14.27

$ uname -a
Linux connie-desktop 2.6.32-25-generic #43-Ubuntu SMP Wed Sep 1 09:46:39 UTC 2010 i686 GNU/Linux

chavez (texasflyfisher) wrote :

I can confirm that after installing nvidia driver 173.14.27, the problem with the black screen after switching to a new user and logging off is gone!

I have had this problem for a long time! I tested it four times in a row. Prior to installing the new driver, I hit the failure each time after switching to a new user and logging out.

Thanks Connie!

PAB (pablhomme) wrote :

I am a victim of this bug since version 10.04. I've been using Ubuntu since 2006 and it's the first time that a bug last this long and is so annoying.

I have a full updated 10.10-64 bit Ubuntu version and the bug is still affecting me. I can almost tell when the crash will arrive.

The only thing that works when the bug arrives is Alt+PrintSc+S+U+B. Alt+F1 or Alt+F7 or any other combination does not do anything.

We are four on the same family computer. I run a lot of image processing and I never know when my process will crash just because on of my child only wants to chat with someone in there account.

I'm almost at the point were I would like to test some other distribution or even go back to Windows.

I really like Ubuntu and since 2006 I'm a passionate user but this one is realy bad, a real showstopper.

Please help!

2010/11/12 PAB <email address hidden>:
> I am a victim of this bug since version 10.04.  I've been using Ubuntu
> since 2006 and it's the first time that a bug last this long and is so
> annoying.
>
> I have a full updated 10.10-64 bit Ubuntu version and the bug is still
> affecting me.  I can almost tell when the crash will arrive.
>
have you tried to uninstall gnome-screensaver ?
I had no more problems after that.

David Tombs (dgtombs) wrote :

PAB: The workaround currently in gnome-screensaver "fixes" the issue. If you're stilling having a problem, file a new bug with "ubuntu-bug xorg".

MarcelD (marcel-dykstra) on 2010-11-25
description: updated
dasumin (da-sumin) wrote :

Updating nvidia drivers also worked for me (from #123). Thanks!

Changed in xserver-xorg-driver-ati:
importance: High → Unknown
Changed in xserver-xorg-driver-ati:
importance: Unknown → High
Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Lucid):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

Sounds like this wasn't really an xorg-server bug. Several people report updates to -nvidia solved it, so going to go ahead and mark it fixed.

Changed in xorg-server (Ubuntu):
status: Triaged → Fix Released
Changed in xorg-server (Ubuntu Lucid):
status: Triaged → Fix Released

I'm pretty sure this is fixed now.

Changed in xserver-xorg-driver-ati:
status: Confirmed → Fix Released
description: updated
no longer affects: linux (Ubuntu)
no longer affects: linux (Ubuntu Lucid)
deiv123is (deiv123is) on 2015-01-19
Changed in xorg-server (Ubuntu):
assignee: nobody → deiv123is (deiv123is)
assignee: deiv123is (deiv123is) → nobody
Displaying first 40 and last 40 comments. View all 130 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.